package com.example.livingai.domain.repository.business

import com.example.livingai.domain.model.AnimalDetails
import kotlinx.coroutines.flow.Flow

interface AnimalDetailsRepository {
    fun getAnimalDetails(id: String): Flow<AnimalDetails?>
    
    suspend fun saveAnimalDetails(animalDetails: AnimalDetails)
    
    suspend fun deleteAnimalDetails(id: String)
}
